/* WPS installer for PNGMeta (Drop targets) */

CALL RxFuncAdd 'SysCreateObject','RexxUtil','SysCreateObject'

SAY
SAY 'Creating WPS objects for PNGMeta (Drop targets)...'
SAY

IF Stream('PNGMeta.CMD','C','QUERY EXISTS')='' THEN DO
   SAY 'Error: file PNGMeta.CMD not found in' Directory() 
   SAY
   EXIT
END
IF Stream('PNGMeta.EXE','C','QUERY EXISTS')='' THEN DO
   SAY 'Error: file PNGMeta.EXE not found in' Directory() 
   SAY
   EXIT
END

SAY
SAY "List of PNGMeta.EXE's possible usefull parameters (fully optional):"
SAY
SAY '  --all       output information about image size etc.'
SAY '  --html      format output in HTML format'
SAY '  --quiet     suppress output of banner'
SAY '  --soif      format output in SOIF format'
SAY '  --xrdf      format output in XML/RDF format'
SAY '  --uri URI   set the URI for SOIF and XML/RDF formats'
SAY
SAY "It is recommended to use --uri as the last parameter, if --uri is used."
SAY 'The URI itself then can be added using the OS/2 parameter PM dialog. As'
SAY "Rexx is involded, it's possible to use quotes if its pattern is: *//*t*"
SAY 'Please consider the option --uri to be unsupported by this UI wrapper.'
SAY
SAY 'Enter additional parameters to be used by default, for example --all to'
CALL CharOut '',"ensure there's some meaningfull output: " 
PARSE PULL parameters
SAY
parameters=Strip(parameters) 
text='Additional parameters'
IF parameters<>'' THEN text='Already in use:' parameters
parameters=Strip(parameters '['||text||'] "%*";')
class='WPProgram'
title='PNGMeta'||D2C(10)||'Drop target'
location='<WP_DESKTOP>'
setup='EXENAME='||Directory()||'\PNGMeta.CMD;PARAMETERS='||parameters
option='U'
IF SysCreateObject(class,title,location,setup,option)=0 THEN DO
   SAY 'Error creating WPS object for PNGMeta (Drop target)'
   SAY
   EXIT
END
SAY 'WPS object created for PNGMeta (Drop target)'
title='PNGMeta PM'||D2C(10)||'drop target'
setup='EXENAME=PMREXX.EXE;PARAMETERS='Directory()||'\PNGMeta.CMD --PMRexx' parameters
IF SysCreateObject(class,title,location,setup,option)=0 THEN DO
   SAY
   SAY 'Error creating WPS object for PNGMeta (PM drop target)'
   SAY
   EXIT
END
SAY 'WPS object created for PNGMeta (PM drop target)'

SAY

EXIT
